org.mariadb.jdbc.internal.util.exceptions

## Class MariaDbSqlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.mariadb.jdbc.internal.util.exceptions.MariaDbSqlException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class MariaDbSqlException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MariaDbSqlException(String reason, String sql, String sqlState, int vendorCode, Throwable cause)`
`MariaDbSqlException(String reason, String sql, String sqlState, Throwable cause)`
`MariaDbSqlException(String reason, String sql, Throwable cause)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDeadLockInfo()`
`String` `getSql()`
`String` `getThreadName()`
`static MariaDbSqlException` `of(SQLException cause, String sql)`
`MariaDbSqlException` `withDeadLockInfo(String deadLockInfo)`
`MariaDbSqlException` `withThreadName(String threadName)`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### MariaDbSqlException

    public MariaDbSqlException(String reason,
                               String sql,
                               Throwable cause)

#### MariaDbSqlException

    public MariaDbSqlException(String reason,
                               String sql,
                               String sqlState,
                               Throwable cause)

#### MariaDbSqlException

    public MariaDbSqlException(String reason,
                               String sql,
                               String sqlState,
                               int vendorCode,
                               Throwable cause)

### Method Detail

#### of

    public static MariaDbSqlException of(SQLException cause,
                                         String sql)

#### withThreadName

    public MariaDbSqlException withThreadName(String threadName)

#### withDeadLockInfo

    public MariaDbSqlException withDeadLockInfo(String deadLockInfo)

#### getSql

    public String getSql()

#### getThreadName

    public String getThreadName()

#### getDeadLockInfo

    public String getDeadLockInfo()